UPS testing overview

These procedures guide you through the process of testing your product for proper functionality under the Microsoft® Windows® XP operating system. You must run all of the standard UPS tests.

If your product provides bus-specific support, run the appropriate bus-specific tests in addition to the standard tests.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT tools.

Click to show or hide information. Standard UPS tests

These tests are required for all test devices.

  • ACPI Stress - Device I/O (Extended)
  • ChkINF
  • Enable/Disable - Device I/O
  • Public Import
  • Signability

Test suite run time: Approximately 45 minutes

Click to show or hide information. Bus-specific tests

These additional test categories are required if the test device provides support for the bus.

  • IEEE 1394
  • CardBus/PCMCIA
  • PCI
  • USB

Click to show or hide information. Hardware requirements

The following hardware is required to run the UPS HCT kit.

Additional hardware may be required if the test device provides bus-specific support. See the testing overview for CardBus/PCMCIA Controllers, IEEE 1394 Controllers, Infrared (IrDA) Controllers, USB Controllers, or USB Hubs to determine if there are additional hardware requirements.

  • One UPS test device
  • One Intel Pentium, or equivalent, test system with the following:
  • Minimum 300 MHz microprocessor
  • 256 MB of RAM
  • CD-ROM drive
  • Two serial ports that support COM1 and COM2 and are compatible with the 16550A UART chip
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

Important: The test system must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the UPS HCT kit.

  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for UPS devices, testers must know how to do the following tasks:

  • Physically install the test device.
  • Install the manufacturer-supplied device driver, if necessary.
  • Install the Windows XP Professional operating system from the product CD.
  • Install the Windows XP 10.0.

Related links

Preparing for UPS testing

Microsoft Windows HCL


Preparing for UPS testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows XP Professional. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the UPS testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for UPS testing for the Windows® XP Professional operating system.

To configure the test system for UPS testing

  1. Install the Windows XP Professional operating system from the product CD on the test system.
  2. Connect the test UPS device to the test system.
  3. Install the manufacturer-supplied device driver, if necessary, on the test system.
  4. Install the Windows XP HCT 10.0 on the test system.

Related links

UPS testing overview


Universal device testing overview

These procedures guide you through the process of testing your universal device (previously known as miscellaneous device) for proper functionality under the Microsoft® Windows® XP operating system.

Important: If your product is not included in existing WHQL test program, use this Universal Device Hardware Compatibility Test (HCT) kit to test your product.

You must run all of the standard universal device tests.

If your product provides bus-specific support, run the appropriate bus-specific tests in addition to the standard tests.

If the test device is multifunctional, you must complete the test procedures for each functionally independent, logical device. For example, a keyboard that contains a glide pad must complete the keyboard tests and the pointing drawing tests.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT kit.

Click to show or hide information. Standard universal device tests

These tests are required for all miscellaneous test devices, and can be run in any order.

  • ChkINF
  • Driver Verifier
  • Public Import
  • Signability
  • Surprise Removal

Click to show or hide information. Bus-specific tests

These additional test categories are required if the test device provides support for the bus.

  • IEEE 1394
  • CardBus/PCMCIA
  • PCI
  • USB

Test suite run time: Approximate time is dependent on the test device.

Click to show or hide information. Hardware requirements

The following hardware is required to run the Universal device HCT kit.

Additional hardware may be required if the test device provides bus-specific support. See the testing overview for CardBus/PCMCIA Controllers, IEEE 1394 Controllers, Infrared (IrDA) Controllers, USB Controllers, or USB Hubs to determine if there are additional hardware requirements.

  • One test device
  • One Intel Pentium, or equivalent, test system with the following:
  • Minimum 300 microprocessor
  • 256 MB of RAM
  • CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

Important: The test system must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the Universal device HCT kit.

  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for Universal devices, testers must know how to do the following tasks:

  • Physically install the test device.
  • Install the manufacturer-supplied device driver, if necessary.
  • Install the Windows XP Professional operating system from the product CD.
  • Install the Windows XP 10.0.

Related links

Preparing for Universal device testing

Microsoft Windows HCL


Preparing for universal device testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows XP Professional. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the Universal device testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for Universal device testing for the Windows® XP Professional operating system.

To configure the test system for Universal device testing

  1. Install the Windows XP Professional operating system from the product CD on the test system.
  2. Connect the test device to the test system.
  3. Install the manufacturer-supplied device driver, if necessary, on the test system.
  4. Install the Windows XP HCT 10.0 on the test system.

Related links

Universal device testing overview


Serial PnP Compliance test

This test verifies that the serial device correctly broadcasts the PnP signal to the operating system.

Run time: 5 minutes

Log file name: Devenum.log

Operating system: Windows® XP Professional

Windows logo requirements: WL - 6: A1.1.3, "All components correctly implement Plug and Play"

Related links

Running the Serial PnP Compliance test


Running the Serial PnP Compliance test

To run the Serial PnP Compliance test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Serial PnP Compliance, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed requesting port information and device installation until the test is completed.
  5. View test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Warning

Windows XP HCT 10.0 - Other

Important

This file is only a component of the Whistler Hardware Compatibility Test (HCT) Help system, and is not intended to be used as a stand-alone file.

Instead, use the HCThelp.chm file for information on the Microsoft Windows Logo Program for Hardware, testing hardware and drivers with the HCT, and installing and running the HCT.